Bug 136177 - Cups documentation is not encoded in UTF-8
Summary: Cups documentation is not encoded in UTF-8
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cups   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-18 15:24 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 1.1.22-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 14:20:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2004-10-18 15:24:39 UTC
The RedHat cupsd configuration file defaults to UTF-8 as it should on
any modern system.

However all the cups *.tmpl *.html (in fr at least) are encoded in
iso8859-15 not UTF-8. Therefore the browser believes :631 pages are
encoded in UTF-8 when they are not (english seems not affected since
for this langage UTF-8=iso8859-15)

The spec file should therefore include a recode iso8859..UTF-8 step on
all html/tmpl files.

[nim@ulysse ~]$ rpm -q cups
cups-1.1.22-0.rc1.5

Comment 1 Tim Waugh 2004-10-19 11:48:41 UTC
Thanks for spotting this!

Comment 2 Tim Waugh 2004-12-03 14:20:03 UTC
Fixed package is 1.1.22-4.  Some of the template files are already encoded as
UTF-8, so only templates/{de,fr}/*.tmpl are converted.

Comment 3 Nicolas Mailhot 2004-12-03 15:45:24 UTC
Thanks a lot !


Note You need to log in before you can comment on or make changes to this bug.